Attribute VB_Name = "ebayPayouts"
Sub ebayPayouts()

Dim fr As Integer
Dim lr As Long
Dim i As Long
Dim count As Long
lr = Cells(Rows.count, 1).End(xlUp).Row
Range("A1:A3").EntireRow.Delete

    'SPLIT TO COLUMNS AND ASSIGN IMPORTANT FORMATS
    'Range("K2:O" & lr).ClearFormats
    'Range("K2:O" & lr).NumberFormat = "0.00"
        
    Dim comOrSc As Range
    Set comOrSc = Range("A1").Find(",")
    If comOrSc Is Nothing Then
        Range("A1:A" & lr).Select
        Selection.TextToColumns Destination:=Range("A1"), DataType:=xlDelimited, _
        TextQualifier:=xlDoubleQuote, ConsecutiveDelimiter:=False, Tab:=True, _
        Semicolon:=True, TrailingMinusNumbers:=True
    Else
        Range("A1:A" & lr).Select
        Selection.TextToColumns Destination:=Range("A1"), DataType:=xlDelimited, _
        TextQualifier:=xlDoubleQuote, ConsecutiveDelimiter:=False, Tab:=True, _
        Comma:=True, TrailingMinusNumbers:=True
    End If

    'Find "Auszahlungsdatum" to delete the upper rows (Irrelevant)
    Range("A1:A" & lr).Select
    lr = Range("A" & Rows.count).End(xlUp).Row
    count = 0
    For i = 2 To lr
        If Range("A" & i) = "Auszahlungsdatum" Then
            count = count + 1
        End If
    Next i
    
    'Filter and delete irrelevant rows on the top
    If count > 0 Then
    fr = Selection.Find(What:="Auszahlungsdatum", MatchCase:=False).Row
    Range(Cells(1, 1), Cells((fr - 1), 1)).EntireRow.Delete
    End If
    
    
'Format Column B to normal number
Cells(1, 2).EntireColumn.Select
Selection.NumberFormat = "0"

'Format Datum
Cells(1, 1) = "Datum"
Cells(1, 1).EntireColumn.Select
Selection.Replace What:=".", Replacement:=""
Selection.NumberFormat = "dd.mm.yyyy"

'New column ("Zahlungspflichtiger/Empfnger")
lr = Cells(Rows.count, 1).End(xlUp).Row
Range("G1") = "Zahlungspflichtiger/Empfnger"
Range("G2:G" & lr) = "Ebay Auszahlung"

    'Set negative amounts in Betrag column
    Dim ar As Variant
    Dim var As Variant
    
    lr = Range("A" & Rows.count).End(xlUp).Row
    ar = Range("E2:E" & lr)
    ReDim var(1 To UBound(ar), 1 To 1)
        For i = 1 To UBound(ar) 'Start of VBA loop
             var(i, 1) = ar(i, 1) * -1
        Next i
    Range("E2:E" & lr) = var
    
    'Filter "pending" and "in_transit" if they exist
   
    count = 0
    lr = Range("A" & Rows.count).End(xlUp).Row
    For i = 2 To lr
        If Range("E" & i) = 0 Then
            count = count + 1
        End If
    Next i
            If count > 0 Then
                Range("A1:H1").AutoFilter Field:=5, Criteria1:=0
                Range("E2:E" & lr).SpecialCells(xlCellTypeVisible).EntireRow.Delete
            End If
        Range("A1") = "Buchungsdatum"
        Range("B1") = "Verwendungszweck"
        Range("C1:D1").EntireColumn.Delete
        Cells.AutoFilter
        
End Sub
